Which browsers are not supported?

BankID will work on all the most common browsers, but not necessarily on the older versions.

Internet Explorer 8 and older will not work with BankID. These old browsers lack support for modern web technology that the solution uses. It is also not recommended to use such an outdated browser for financial services in view of your own security.

Customers with administrative rights to the PC should upgrade to a newer Internet Explorer version, or use another browser. Customers without administrative privileges on the machine may use BankID on mobile or use another device that supports BankID.